import React, { useState } from 'react';
import { Button, SaveStateI, useAppDispatch, useSessionCache } from '..';
import { Databases } from './database';
import { ManagementViews } from './ManagementDialog';
import { Tabs, Tab } from '../components/tabs';

type Props = {
  onClose: () => void;
  onViewChange: (val: ManagementViews) => void;
  setSelectedSaveState: (val: SaveStateI) => void;
};

export function Workspace({ onClose, onViewChange, setSelectedSaveState }: Props) {
  const session = useSessionCache();
  const [activeTab, setActiveTab] = useState('databases');

  return (
    <div>
      <Tabs tabType="rounded">
        {/* TODO <Tab text="Projects" activeTab={activeTab === 'projects'} onClick={() => setActiveTab('projects')}></Tab> */}
        <Tab text="Databases" activeTab={activeTab === 'databases'} onClick={() => setActiveTab('databases')}></Tab>
        {/* TODO <Tab text="Explorations" activeTab={activeTab === 'explorations'} onClick={() => setActiveTab('explorations')}></Tab> */}
      </Tabs>

      <div>
        {/* TODO {activeTab === 'projects' && 'Not Implemented Yet'} */}
        {activeTab === 'databases' && (
          <Databases
            saveStates={session.saveStates}
            changeActive={(val) => onViewChange(val)}
            setSelectedSaveState={setSelectedSaveState}
            onClose={onClose}
          />
        )}
        {/* TODO {activeTab === 'explorations' && <Explorations changeActive={(val: 'add' | 'update') => onViewChange(val)} />} */}
      </div>
    </div>
  );
}
